## NAME

t.rast3d.extract.py - Extracts a subset of a space time 3D raster dataset.

## KEYWORDS

temporal, extract, raster3d, voxel, time

## SYNOPSIS

t.rast3d.extract.py
t.rast3d.extract.py --help
t.rast3d.extract.py [-n] input=name [where=sql_query] [expression=string] output=name [basename=string] [suffix=string] [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-n
  Register Null maps
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time raster3d dataset
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'
expression=string
  The r3.mapcalc expression assigned to all extracted 3D raster maps
output=name [required]
  Name of the output space time raster3d dataset
basename=string
  Basename of the new generated 3D raster maps
suffix=string
  Suffix to add at basename: set 'gran' for granularity, 'time' for the full time format, 'num' for numerical suffix with a specific number of digits (default %05)
  Default: gran
nprocs=integer
  Number of r3.mapcalc processes to run in parallel
  Default: 1

## DESCRIPTION

t.rast3d.extract is used to extract a subset of a space time 3D raster dataset and to store that subset in a different space time 3D raster dataset. It has exactly the same functionality as t.rast.extract. The only difference is the that this module works on STR3DS and 3D raster maps.

Please refer to t.rast.extract for documentation and examples.

## SEE ALSO

t.rast.extract, t.create, t.info

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: t.rast3d.extract source code (history)

Accessed: unknown

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.0.2 Reference Manual